# Contributing

## I want to contribute to Wire

You can contribute to Wire in several ways:

## Finding bugs

If you find a bug in how Wire apps work, please submit a ticket to [our support](https://support.wire.com) and we will keep you informed about the progress.
Alternatively, you can submit your finding on [wire issues](https://github.com/wireapp/wire/issues). Please make sure to provide as much information as possible to help us reproduce the issue.

## Contributing to the code

If you wish to contribute source code to one of our repositories you have to sign
our [Contributor Agreement](https://github.com/wireapp/wire/raw/master/assets/Wire%20Contributor%20Agreement.pdf)
first.

When you submit your first pull request, you can sign the agreement electronically by filling in the
required information. You will not have to sign it again for subsequent pull requests from the same
GitHub account.

When opening a pull request, please make sure to follow the next guidelines:

- Make sure to fill in the pull request template to the fullest extent possible, this will help us
  understand faster the changes proposed.
- Make sure to run the tests and linters before submitting the pull request.
- Add the necessary tests for the changes you are proposing, this will help us ensure that the
  changes are working as expected.

> [!NOTE]  
> We accept only bug fixes and code improvements. We cannot accept new features, UI or UX changes – these are decided by Wire and built by the Wire development team.

## I want to help translate Wire

If you want to help Wire to speak more languages, please refer to our [site](https://support.wire.com/hc/en-us/articles/202856874-Language-support), to see the official list of supported languages and those who are open to contribute.

To do so, you will find instructions there, but you can do the following:

1. Create a [Crowdin account](https://crowdin.com/).
2. Request access to add translations in our [project](https://crowdin.com/project/wire-android-reloaded).
3. Translate away.
